Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::AdapterActivator Interface Reference

AdapterActivator interface. More...

`#include <AdapterActivatorC.h>`

Inheritance diagram for PortableServer::AdapterActivator:

[legend]
Collaboration diagram for PortableServer::AdapterActivator:

[legend]
List of all members.

## Public Types
typedef AdapterActivator_ptr | _ptr_type
typedef AdapterActivator_var | _var_type
## Public Member Functions
boolean | unknown_adapter (in POA parent, in string name)
virtual CORBA::Boolean | unknown_adapter (::PortableServer::POA_ptr parent, const char *name)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
AdapterActivator_ptr | _duplicate (AdapterActivator_ptr obj)
void | _tao_release (AdapterActivator_ptr obj)
AdapterActivator_ptr | _narrow (CORBA::Object_ptr obj)
AdapterActivator_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
AdapterActivator_ptr | _nil (void)
## Protected Member Functions
| AdapterActivator (void)
virtual | ~AdapterActivator (void)
## Private Member Functions
| AdapterActivator (const AdapterActivator &)
void | operator= (const AdapterActivator &)

## Detailed Description

AdapterActivator interface.

## Member Typedef Documentation

typedef AdapterActivator_ptr PortableServer::AdapterActivator::_ptr_type

| Reimplemented from CORBA::Object.

typedef AdapterActivator_var PortableServer::AdapterActivator::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

PortableServer::AdapterActivator::AdapterActivator | ( | void |  | ) | `[protected]`

PortableServer::AdapterActivator::~AdapterActivator | ( | void |  | ) | `[protected, virtual]`

PortableServer::AdapterActivator::AdapterActivator | ( | const AdapterActivator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::AdapterActivator_ptr PortableServer::AdapterActivator::_duplicate | ( | AdapterActivator_ptr | obj | ) | `[static]`

const char * PortableServer::AdapterActivator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::AdapterActivator::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Reimplemented from CORBA::Object.

AdapterActivator_ptr PortableServer::AdapterActivator::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Object.

AdapterActivator_ptr PortableServer::AdapterActivator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::AdapterActivator::_tao_release | ( | AdapterActivator_ptr | obj | ) | `[static]`

AdapterActivator_ptr PortableServer::AdapterActivator::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

CORBA::Boolean PortableServer::AdapterActivator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::AdapterActivator::operator= | ( | const AdapterActivator & |  | ) | `[private]`

virtual CORBA::Boolean PortableServer::AdapterActivator::unknown_adapter | ( | ::PortableServer::POA_ptr | parent,
|  | const char * | name
| ) | throw ( CORBA::SystemException )`[pure virtual]`

boolean PortableServer::AdapterActivator::unknown_adapter | ( | in POA | parent,
|  | in string | name
| ) |

The documentation for this interface was generated from the following files:

- AdapterActivator.pidl
- AdapterActivatorC.h
- AdapterActivatorC.cpp